Register card
POST
/api/v2.0/stores/{storeId}/members/{memberId}/register-card
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card"
payload := strings.NewReader("{ \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" }");Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: {identifier: 'example', brand: 'example', expiry_date: 'example'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"identifier":"example","brand":"example","expiry_date":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "identifier": "example", "brand": "example", "expiry_date": "example" }'Registers a card to the member’s account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
Example
your-store-idmemberId
required
string
Example
m_nsr714RRBEHXRequest Body
Section titled “Request Body”Information about the card to be registered
object
identifier
string
brand
string
expiry_date
Card expiration date in format “YY-MM”
string
Examplegenerated
{ "identifier": "example", "brand": "example", "expiry_date": "example"}object
identifier
string
brand
string
expiry_date
Card expiration date in format “YY-MM”
string
Examplegenerated
{ "identifier": "example", "brand": "example", "expiry_date": "example"}object
identifier
string
brand
string
expiry_date
Card expiration date in format “YY-MM”
string
Examplegenerated
{ "identifier": "example", "brand": "example", "expiry_date": "example"}Responses
Section titled “Responses”No Content
Bad Request
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}